Package com.databricks.jdbc.model.client.thrift.generated

## Class TExpressionInfo

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TExpressionInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TExpressionInfo>`, `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TExpressionInfo
    extends Object
    implements org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>, Serializable, Cloneable, Comparable<TExpressionInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TExpressionInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `arguments`
`String` `className`
`String` `db`
`String` `deprecated`
`String` `examples`
`String` `extended`
`String` `group`
`static Map<TExpressionInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`
`String` `note`
`String` `since`
`String` `source`
`String` `usage`

### Constructor Summary

Constructors
`TExpressionInfo()`
`TExpressionInfo​(TExpressionInfo other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TExpressionInfo other)`
`TExpressionInfo` `deepCopy()`
`boolean` `equals​(TExpressionInfo that)`
`boolean` `equals​(Object that)`
`TExpressionInfo._Fields` `fieldForId​(int fieldId)`
`String` `getArguments()`
`String` `getClassName()`
`String` `getDb()`
`String` `getDeprecated()`
`String` `getExamples()`
`String` `getExtended()`
`Object` `getFieldValue​(TExpressionInfo._Fields field)`
`String` `getGroup()`
`String` `getName()`
`String` `getNote()`
`String` `getSince()`
`String` `getSource()`
`String` `getUsage()`
`int` `hashCode()`
`boolean` `isSet​(TExpressionInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArguments()` Returns true if field arguments is set (has been assigned a value) and false otherwise
`boolean` `isSetClassName()` Returns true if field className is set (has been assigned a value) and false otherwise
`boolean` `isSetDb()` Returns true if field db is set (has been assigned a value) and false otherwise
`boolean` `isSetDeprecated()` Returns true if field deprecated is set (has been assigned a value) and false otherwise
`boolean` `isSetExamples()` Returns true if field examples is set (has been assigned a value) and false otherwise
`boolean` `isSetExtended()` Returns true if field extended is set (has been assigned a value) and false otherwise
`boolean` `isSetGroup()` Returns true if field group is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetNote()` Returns true if field note is set (has been assigned a value) and false otherwise
`boolean` `isSetSince()` Returns true if field since is set (has been assigned a value) and false otherwise
`boolean` `isSetSource()` Returns true if field source is set (has been assigned a value) and false otherwise
`boolean` `isSetUsage()` Returns true if field usage is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TExpressionInfo` `setArguments​(String arguments)`
`void` `setArgumentsIsSet​(boolean value)`
`TExpressionInfo` `setClassName​(String className)`
`void` `setClassNameIsSet​(boolean value)`
`TExpressionInfo` `setDb​(String db)`
`void` `setDbIsSet​(boolean value)`
`TExpressionInfo` `setDeprecated​(String deprecated)`
`void` `setDeprecatedIsSet​(boolean value)`
`TExpressionInfo` `setExamples​(String examples)`
`void` `setExamplesIsSet​(boolean value)`
`TExpressionInfo` `setExtended​(String extended)`
`void` `setExtendedIsSet​(boolean value)`
`void` `setFieldValue​(TExpressionInfo._Fields field, Object value)`
`TExpressionInfo` `setGroup​(String group)`
`void` `setGroupIsSet​(boolean value)`
`TExpressionInfo` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`TExpressionInfo` `setNote​(String note)`
`void` `setNoteIsSet​(boolean value)`
`TExpressionInfo` `setSince​(String since)`
`void` `setSinceIsSet​(boolean value)`
`TExpressionInfo` `setSource​(String source)`
`void` `setSourceIsSet​(boolean value)`
`TExpressionInfo` `setUsage​(String usage)`
`void` `setUsageIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArguments()`
`void` `unsetClassName()`
`void` `unsetDb()`
`void` `unsetDeprecated()`
`void` `unsetExamples()`
`void` `unsetExtended()`
`void` `unsetGroup()`
`void` `unsetName()`
`void` `unsetNote()`
`void` `unsetSince()`
`void` `unsetSource()`
`void` `unsetUsage()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### className

    public String className

#### usage

    public String usage

#### name

    public String name

#### extended

    public String extended

#### db

    public String db

#### arguments

    public String arguments

#### examples

    public String examples

#### note

    public String note

#### group

    public String group

#### since

    public String since

#### deprecated

    public String deprecated

#### source

    public String source

#### metaDataMap

    public static final Map<TExpressionInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TExpressionInfo

    public TExpressionInfo()

#### TExpressionInfo

    public TExpressionInfo​(TExpressionInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TExpressionInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### getClassName

    public String getClassName()

#### setClassName

    public TExpressionInfo setClassName​(String className)

#### unsetClassName

    public void unsetClassName()

#### isSetClassName

    public boolean isSetClassName()

Returns true if field className is set (has been assigned a value) and false otherwise

#### setClassNameIsSet

    public void setClassNameIsSet​(boolean value)

#### getUsage

    public String getUsage()

#### setUsage

    public TExpressionInfo setUsage​(String usage)

#### unsetUsage

    public void unsetUsage()

#### isSetUsage

    public boolean isSetUsage()

Returns true if field usage is set (has been assigned a value) and false otherwise

#### setUsageIsSet

    public void setUsageIsSet​(boolean value)

#### getName

    public String getName()

#### setName

    public TExpressionInfo setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getExtended

    public String getExtended()

#### setExtended

    public TExpressionInfo setExtended​(String extended)

#### unsetExtended

    public void unsetExtended()

#### isSetExtended

    public boolean isSetExtended()

Returns true if field extended is set (has been assigned a value) and false otherwise

#### setExtendedIsSet

    public void setExtendedIsSet​(boolean value)

#### getDb

    public String getDb()

#### setDb

    public TExpressionInfo setDb​(String db)

#### unsetDb

    public void unsetDb()

#### isSetDb

    public boolean isSetDb()

Returns true if field db is set (has been assigned a value) and false otherwise

#### setDbIsSet

    public void setDbIsSet​(boolean value)

#### getArguments

    public String getArguments()

#### setArguments

    public TExpressionInfo setArguments​(String arguments)

#### unsetArguments

    public void unsetArguments()

#### isSetArguments

    public boolean isSetArguments()

Returns true if field arguments is set (has been assigned a value) and false otherwise

#### setArgumentsIsSet

    public void setArgumentsIsSet​(boolean value)

#### getExamples

    public String getExamples()

#### setExamples

    public TExpressionInfo setExamples​(String examples)

#### unsetExamples

    public void unsetExamples()

#### isSetExamples

    public boolean isSetExamples()

Returns true if field examples is set (has been assigned a value) and false otherwise

#### setExamplesIsSet

    public void setExamplesIsSet​(boolean value)

#### getNote

    public String getNote()

#### setNote

    public TExpressionInfo setNote​(String note)

#### unsetNote

    public void unsetNote()

#### isSetNote

    public boolean isSetNote()

Returns true if field note is set (has been assigned a value) and false otherwise

#### setNoteIsSet

    public void setNoteIsSet​(boolean value)

#### getGroup

    public String getGroup()

#### setGroup

    public TExpressionInfo setGroup​(String group)

#### unsetGroup

    public void unsetGroup()

#### isSetGroup

    public boolean isSetGroup()

Returns true if field group is set (has been assigned a value) and false otherwise

#### setGroupIsSet

    public void setGroupIsSet​(boolean value)

#### getSince

    public String getSince()

#### setSince

    public TExpressionInfo setSince​(String since)

#### unsetSince

    public void unsetSince()

#### isSetSince

    public boolean isSetSince()

Returns true if field since is set (has been assigned a value) and false otherwise

#### setSinceIsSet

    public void setSinceIsSet​(boolean value)

#### getDeprecated

    public String getDeprecated()

#### setDeprecated

    public TExpressionInfo setDeprecated​(String deprecated)

#### unsetDeprecated

    public void unsetDeprecated()

#### isSetDeprecated

    public boolean isSetDeprecated()

Returns true if field deprecated is set (has been assigned a value) and false otherwise

#### setDeprecatedIsSet

    public void setDeprecatedIsSet​(boolean value)

#### getSource

    public String getSource()

#### setSource

    public TExpressionInfo setSource​(String source)

#### unsetSource

    public void unsetSource()

#### isSetSource

    public boolean isSetSource()

Returns true if field source is set (has been assigned a value) and false otherwise

#### setSourceIsSet

    public void setSourceIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TExpressionInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TExpressionInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### isSet

    public boolean isSet​(TExpressionInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TExpressionInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TExpressionInfo other)

Specified by:
  `compareTo` in interface `Comparable<TExpressionInfo>`

#### fieldForId

    public TExpressionInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TExpressionInfo,​TExpressionInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`